
%global meadversion 1.0.8
%global namedversion 1.0.8.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}wildfly-naming-client}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.8.Final-redhat-1

Name:           %{?scl_prefix}wildfly-naming-client
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        wildfly-naming-client
Group:          Development/Java

%if %with mead
Source100: wildfly-naming-client-1.0.8.Final-redhat-1-scm-sources.zip
Source102: wildfly-naming-client-1.0.8.Final-redhat-1-sources.jar
Source103: wildfly-naming-client-1.0.8.Final-redhat-1-project-sources.tar.gz
Source104: wildfly-naming-client-1.0.8.Final-redhat-1.pom
Source105: wildfly-naming-client-1.0.8.Final-redhat-1.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-naming-client
Requires:       %{?scl_prefix_eap}wildfly-common >= 0:1.2.0
Requires:       %{?scl_prefix_eap}wildfly-client-config >= 0:1.0.0
Requires:       %{?scl_prefix_eap}wildfly-elytron >= 0:1.1.0
%if 0
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.3.0
%endif
Requires:       %{?scl_prefix_eap}jboss-marshalling >= 0:2.0.0
Requires:       %{?scl_prefix_eap}jboss-marshalling-river >= 0:2.0.0
Requires:       %{?scl_prefix_eap}jboss-remoting >= 0:5.0.0
%if 0
Requires:       %{?scl_prefix_eap}metainf-services >= 0:1.7
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-naming-client
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-naming-client -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-naming-client-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-naming-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-naming-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-naming-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-naming-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-naming-client-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-naming-client-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-naming-client-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-naming-client-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-naming-client-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-naming-client
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}wildfly-naming-client
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/wildfly-naming-client-%{namedversion}.jar
%{_javadir}/wildfly-naming-client.jar
%if %with javadoc
%{_javadir}/wildfly-naming-client-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-naming-client-javadoc.jar
%endif
%{_javadir}/wildfly-naming-client-%{namedversion}-sources.jar
%{_javadir}/wildfly-naming-client-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-naming-client-%{namedversion}
%{_javadocdir}/wildfly-naming-client
%endif

%changelog
* Mon May 07 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.8-1.Final_redhat_1.1
- upgrade to 1.0.8.Final-redhat-1

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.7-1.Final_redhat_1.1
- 1.0.7.Final

* Mon Nov 06 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.6-3.Final_redhat_1.1
- 1.0.7.Final

* Mon Oct 30 2017 Petr Sakar <psakar@redhat.com> - 1.0.6-2.Final_redhat_1.1
- upgrade to 1.0.7.Final-redhat-1

* Wed Oct 11 2017 Petr Sakar <psakar@redhat.com> - 1.0.6-1.Final_redhat_1.1
- upgrade to 1.0.6.Final-redhat-1

* Tue Sep 19 2017 Petr Sakar <psakar@redhat.com> - 1.0.3-1.Final_redhat_1.1
- upgrade to 1.0.3.Final-redhat-1

* Tue Aug 22 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Fri Jun 23 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-9.CR1_redhat_1.1
- upgrade to 1.0.0.CR1-redhat-1

* Wed Jun 07 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-8.Beta16_redhat_1.1
- upgrade to 1.0.0.Beta16-redhat-1

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.0.0-7.Beta15_redhat_1.1
- update to 1.0.0.Beta15

* Tue Apr 25 2017 Martin Minar <mminar@redhat.com> - 1.0.0-6.Beta14_redhat_1.1
- update to version 1.0.0.Beta14

* Wed Mar 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-5.Beta13_redhat_1.1
- upgrade to 1.0.0.Beta13-redhat-1

* Wed Mar 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-4.Beta12_redhat_1.1
- upgrade to 1.0.0.Beta12-redhat-1

* Tue Feb 28 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-3.Beta11_redhat_1.1
- upgrade to 1.0.0.Beta11-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Beta10_redhat_1.1
- upgrade to 1.0.0.Beta10-redhat-1

* Thu Jan 05 2017 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Beta6_redhat_1.1
- build RPMS

